---
id: metadatadto
title: "MetadataDto"
description: ""
sidebar_label: "MetadataDto"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"agreement":{"@id":"3f2592da-ffc9-40cb-a336-a9daa9343ce8","@type":"odrl:Agreement","odrl:assigner":"did:example:assigner","odrl:assignee":"did:example:assignee","odrl:profile":"profileExample","odrl:permission":[],"odrl:prohibition":[],"odrl:obligation":[],"odrl:target":"urn:example:target","dspace:timestamp":"2023-10-01T12:34:56Z"},"dataset":{"@id":"3f2592da-ffc9-40cb-a336-a9daa9343ce8","dcat:contactPoint":"contactPointExample","dcat:keyword":["keyword1","keyword2"],"dcat:landingPage":"landingPageExample","dcat:theme":["theme1","theme2"],"dcat:conformsTo":"conformsToExample","dct:creator":"creatorExample","dct:description":["description1","description2"],"dct:identifier":"identifierExample","dct:isReferencedBy":"isReferencedByExample","dct:issued":"2020-01-01","dct:language":"en","dct:license":"licenseExample","dct:modified":"2020-01-02","dct:publisher":"publisherExample","dct:relation":"relationExample","dct:title":"titleExample","dct:type":"typeExample","odrl:hasPolicy":[],"dcat:hasVersion":["version1","version2"],"dcat:isVersionOf":"isVersionOfExample","dcat:version":"versionExample","dcat:hasCurrentVersion":"hasCurrentVersionExample","dcat:previousVersion":"previousVersionExample","@type":"dcat:Dataset","dcat:distribution":["string"],"dcat:spatialResolutionInMeters":"100","dcat:temporalResolution":"P1Y","dct:accrualPeriodicity":"accrualPeriodicityExample","dct:spatial":"spatialExample","dct:temporal":"temporalExample","prov:wasGeneratedBy":"wasGeneratedByExample"}}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"MetadataDto"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"agreement":{"type":"object","properties":{"@id":{"type":"string","example":"3f2592da-ffc9-40cb-a336-a9daa9343ce8"},"@type":{"type":"string","example":"odrl:Agreement"},"odrl:assigner":{"type":"string","example":"did:example:assigner"},"odrl:assignee":{"type":"string","example":"did:example:assignee"},"odrl:profile":{"type":"string","example":"profileExample"},"odrl:permission":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Permission"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}},"odrl:Duty":{"example":[],"type":"array","items":{"type":"string"}}},"required":["@type","odrl:action"],"title":"PermissionSchema"}},"odrl:prohibition":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Prohibition"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"ProhibitionSchema"}},"odrl:obligation":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Duty"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"DutySchema"}},"odrl:target":{"type":"string","example":"urn:example:target"},"dspace:timestamp":{"type":"string","example":"2023-10-01T12:34:56Z"}},"required":["@id","@type","dspace:timestamp"],"title":"AgreementSchema"},"dataset":{"type":"object","properties":{"@id":{"type":"string","example":"3f2592da-ffc9-40cb-a336-a9daa9343ce8"},"dcat:contactPoint":{"type":"string","example":"contactPointExample"},"dcat:keyword":{"example":["keyword1","keyword2"],"type":"array","items":{"type":"string"}},"dcat:landingPage":{"type":"string","example":"landingPageExample"},"dcat:theme":{"example":["theme1","theme2"],"type":"array","items":{"type":"string"}},"dcat:conformsTo":{"type":"string","example":"conformsToExample"},"dct:creator":{"type":"string","example":"creatorExample"},"dct:description":{"example":["description1","description2"],"type":"array","items":{"type":"string"}},"dct:identifier":{"type":"string","example":"identifierExample"},"dct:isReferencedBy":{"type":"string","example":"isReferencedByExample"},"dct:issued":{"type":"string","example":"2020-01-01"},"dct:language":{"type":"string","example":"en"},"dct:license":{"type":"string","example":"licenseExample"},"dct:modified":{"type":"string","example":"2020-01-02"},"dct:publisher":{"type":"string","example":"publisherExample"},"dct:relation":{"type":"string","example":"relationExample"},"dct:title":{"type":"string","example":"titleExample"},"dct:type":{"type":"string","example":"typeExample"},"odrl:hasPolicy":{"example":[],"type":"array","items":{"type":"object","properties":{"@id":{"type":"string","example":"3f2592da-ffc9-40cb-a336-a9daa9343ce8"},"@type":{"type":"string","example":"odrl:Offer"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:profile":{"type":"string","example":"profileExample"},"odrl:permission":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Permission"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}},"odrl:Duty":{"example":[],"type":"array","items":{"type":"string"}}},"required":["@type","odrl:action"],"title":"PermissionSchema"}},"odrl:prohibition":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Prohibition"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"ProhibitionSchema"}},"odrl:obligation":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Duty"},"odrl:assigner":{"type":"string","example":"assignerExample"},"odrl:assignee":{"type":"string","example":"assigneeExample"},"odrl:action":{"type":"string","example":"odrl:actionExample"},"odrl:target":{"type":"string","example":"targetExample"},"odrl:constraint":{"example":[],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"odrl:Constraint"},"odrl:leftOperand":{"type":"string","example":"odrl:leftOperandExample"},"odrl:operator":{"type":"string","example":"odrl:operatorExample"},"odrl:rightOperand":{"type":"object","example":{"value":"rightOperandExample"}},"odrl:rightOperandReference":{"type":"string","example":"rightOperandReferenceExample"}},"required":["@type","odrl:leftOperand","odrl:operator"],"title":"ConstraintSchema"}}},"required":["@type","odrl:action"],"title":"DutySchema"}},"odrl:target":{"type":"string","example":"targetExample"}},"required":["@id","@type"],"title":"PolicySchema"}},"dcat:hasVersion":{"example":["version1","version2"],"type":"array","items":{"type":"string"}},"dcat:isVersionOf":{"type":"string","example":"isVersionOfExample"},"dcat:version":{"type":"string","example":"versionExample"},"dcat:hasCurrentVersion":{"type":"string","example":"hasCurrentVersionExample"},"dcat:previousVersion":{"type":"string","example":"previousVersionExample"},"@type":{"type":"string","example":"dcat:Dataset"},"dcat:distribution":{"type":"array","items":{"type":"string"}},"dcat:spatialResolutionInMeters":{"type":"string","example":"100"},"dcat:temporalResolution":{"example":"P1Y","allOf":[{"type":"object","properties":{"@value":{"type":"string","example":"P3Y6M4DT12H30M5S"},"@type":{"type":"string","example":"xsd:duration"}},"required":["@value","@type"],"title":"DurationSchema"}]},"dct:accrualPeriodicity":{"type":"string","example":"accrualPeriodicityExample"},"dct:spatial":{"type":"string","example":"spatialExample"},"dct:temporal":{"type":"string","example":"temporalExample"},"prov:wasGeneratedBy":{"type":"string","example":"wasGeneratedByExample"}},"required":["@id","@type"],"title":"DatasetSchema"}},"required":["agreement","dataset"],"title":"MetadataDto"}}
  schemaType={"response"}
>
  
</Schema>
            